using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;
using System.ComponentModel;
using System.Drawing;

namespace UserControlSettings
{
    public class ColorControlSettings:ApplicationSettingsBase
    {
        public ColorControlSettings(string settingsKey)
            : base(settingsKey)
        {
        }

        [UserScopedSetting]
        [DefaultSettingValue("White")]
        public Color BackgroundColor
        {
            get { return (Color)this["BackgroundColor"];}
            set{ this["BackgroundColor"] = value;}
        }
    }
}
