using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace CustomSettingsProvider
{
    public partial class Form1 : Form
    {
        #region Fields
        private CustomSettings _settings = new CustomSettings();
        #endregion

        public Form1()
        {
            InitializeComponent();
            this.BackColor = _settings.BackgroundColor;
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            this._settings.BackgroundColor = this.BackColor;
            _settings.Save();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (this.colorDialog1.ShowDialog() == DialogResult.OK)
            {
                this.BackColor = colorDialog1.Color;
            }
        }
    }
}